Description

I thought I had fixed this in an earlier version but somehow the hosts index function returns way too much information especially

when returning data to a mobile device.

Its supposed to just return this:

:name, :id, :hostgroup_id, :operatingsystem_id

but currently we get this.

host":{"architecture_id":1,"comment":"","image_id":null,"last_report":"2011-12-24T23:58:47Z","managed":true,"name":"dnsserver.logic

minds.corp","serial":null,"subnet_id":null,"host_parameters":[],"created_at":"2011-12-24T13:01:18Z","compute_resource_id":null,"ima

ge_file":"","sp_mac":"","puppet_proxy_id":1,"updated_at":"2012-05-23T13:56:07Z","uuid":null,"domain_id":1,"installed_at":null,"mac":"

00:0c:29:53:93:77","puppet_ca_proxy_id":1,"sp_name":"","build":false,"enabled":true,"hostgroup_id":1,"id":3,"medium_id":null,"owner

_id":1,"root_pass":"$1$foreman$xZtuKOo3dIifU9r5DW3ts.","use_image":null,"certname":"dnsserver.logicminds.corp","ptable_id":null,

"environment_id":1,"ip":"192.168.1.88","last_freshcheck":null,"puppet_status":100663298,"sp_subnet_id":null,"environment":{"environ

ment":{"name":"production","id":1}},"model_id":1,"source_file_id":null,"disk":null,"sp_ip":"","last_compile":"2011-12-24T23:59:02Z","op

eratingsystem_id":3,"owner_type":"User"}}

Associated revisions

Revision 2af9e1a0 - 06/26/2012 02:32 PM - Corey Osman

fixes #1710 - Hosts json index function returns too much

Revision fb99b816 - 06/26/2012 02:46 PM - Corey Osman

Merge pull request #89 from logicminds/1710

fixes #1710 - Hosts json index function returns too much

History

#1 - 06/26/2012 03:44 PM - Corey Osman

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset fb99b816e7853f1369079ecff1c64594bdd24758.
